Mailinglist Archive: opensuse-updates (170 mails)

< Previous Next >
openSUSE-SU-2016:0368-1: moderate: Security update for mariadb
openSUSE Security Update: Security update for mariadb
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:0368-1
Rating: moderate
References: #937787 #957174 #958789
Cross-References: CVE-2015-4792 CVE-2015-4802 CVE-2015-4807
CVE-2015-4815 CVE-2015-4826 CVE-2015-4830
CVE-2015-4836 CVE-2015-4858 CVE-2015-4861
CVE-2015-4870 CVE-2015-4913 CVE-2015-5969

Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that fixes 12 vulnerabilities is now available.

Description:


MariaDB has been updated to version 10.0.22, which brings fixes for many
security issues and other improvements.

The following CVEs have been fixed:

- 10.0.22: CVE-2015-4802, CVE-2015-4807, CVE-2015-4815, CVE-2015-4826,
CVE-2015-4830, CVE-2015-4836, CVE-2015-4858, CVE-2015-4861,
CVE-2015-4870, CVE-2015-4913, CVE-2015-4792
- Fix information leak via mysql-systemd-helper script. (CVE-2015-5969,
bsc#957174)

For a comprehensive list of changes refer to the upstream Release Notes
and Change Log documents:

- https://kb.askmonty.org/en/mariadb-10022-release-notes/
- https://kb.askmonty.org/en/mariadb-10022-changelog/

This update was imported from the SUSE:SLE-12-SP1:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2016-164=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

libmysqlclient-devel-10.0.22-3.1
libmysqlclient18-10.0.22-3.1
libmysqlclient18-debuginfo-10.0.22-3.1
libmysqlclient_r18-10.0.22-3.1
libmysqld-devel-10.0.22-3.1
libmysqld18-10.0.22-3.1
libmysqld18-debuginfo-10.0.22-3.1
mariadb-10.0.22-3.1
mariadb-bench-10.0.22-3.1
mariadb-bench-debuginfo-10.0.22-3.1
mariadb-client-10.0.22-3.1
mariadb-client-debuginfo-10.0.22-3.1
mariadb-debuginfo-10.0.22-3.1
mariadb-debugsource-10.0.22-3.1
mariadb-errormessages-10.0.22-3.1
mariadb-test-10.0.22-3.1
mariadb-test-debuginfo-10.0.22-3.1
mariadb-tools-10.0.22-3.1
mariadb-tools-debuginfo-10.0.22-3.1

- openSUSE Leap 42.1 (x86_64):

libmysqlclient18-32bit-10.0.22-3.1
libmysqlclient18-debuginfo-32bit-10.0.22-3.1
libmysqlclient_r18-32bit-10.0.22-3.1


References:

https://www.suse.com/security/cve/CVE-2015-4792.html
https://www.suse.com/security/cve/CVE-2015-4802.html
https://www.suse.com/security/cve/CVE-2015-4807.html
https://www.suse.com/security/cve/CVE-2015-4815.html
https://www.suse.com/security/cve/CVE-2015-4826.html
https://www.suse.com/security/cve/CVE-2015-4830.html
https://www.suse.com/security/cve/CVE-2015-4836.html
https://www.suse.com/security/cve/CVE-2015-4858.html
https://www.suse.com/security/cve/CVE-2015-4861.html
https://www.suse.com/security/cve/CVE-2015-4870.html
https://www.suse.com/security/cve/CVE-2015-4913.html
https://www.suse.com/security/cve/CVE-2015-5969.html
https://bugzilla.suse.com/937787
https://bugzilla.suse.com/957174
https://bugzilla.suse.com/958789


< Previous Next >
This Thread
  • No further messages